<template>
  <!-- 添加水运价格 -->
  <div class="addShipPrice">
    <page-title>新增</page-title>
    <el-divider content-position="left">添加火运价格</el-divider>
     <div class="form-box" style="margin-right: 10rem">
        <dil-form :formId="192" v-model="form1" ref="from1"></dil-form>
      </div>
    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
    <!-- <div class="primarybtn">
      <el-button class="btn" @click="goback">取消</el-button>
      <el-button type="primary" class="btn" @click="submitclick"
        >确定</el-button
      >
    </div> -->
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
    };
  },
  mounted() {},
  methods: {
    // 确定
    makeSure() {
      let amsContractTrainPrice = {
        trainPrice: this.form1.trainPrice,
        trainPriceDate: sjTime(this.form1.trainPriceDate),
        trainType: this.form1.trainType
      };
      console.log(amsContractTrainPrice);
      if (
      amsContractTrainPrice.trainPrice==null||
      amsContractTrainPrice.trainPriceDate==null||
      amsContractTrainPrice.trainType==null
      ) this.$message.error("必填项存在空值！");
      else
      this.axios
        .post(
          "/api/v1/ams/addTrainPrice",
          amsContractTrainPrice
        )
        .then((res) => {
        //   console.log(res);
        //   console.log(this.form4);
          this.$router.go(-1);
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>
<style lang='scss' scoped>

</style>